package cn.com.countrygarden.bi.main.service.districtReport;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.districtReport.RdClosedBuildingProjectDTO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.districtReport.RdClosedBuildingProject;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 已收楼项目-业务逻辑层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2019-08-14
 */
public interface RdClosedBuildingProjectService {

    Result queryPageList(RdClosedBuildingProjectDTO rdClosedBuildingProjectDTO, int page, int size,AccessToken accessToken);

    Result queryById(Integer id);

    Result closedBuildingProjectAddOne(String regionCode,String projectCode,AccessToken accessToken);

    Result add(RdClosedBuildingProjectDTO rdClosedBuildingProjectDTO, AccessToken accessToken);

    Result edit(RdClosedBuildingProject rdClosedBuildingProject, AccessToken accessToken);

    Result del(Integer id,AccessToken accessToken,String updateName);

    Result delpiliang(String ids,AccessToken accessToken,String updateName);

    Result synchronousData(Integer id,String regionCode,String projectCode,String syncUsercode,AccessToken accessToken);

    Result synchronousDataAll(String ids,String regionCodeList,String projectCodeList,String syncUsercode,AccessToken accessToken);

    HSSFWorkbook exportAllRdClosedBuildingProject(AccessToken accessToken, HttpServletResponse response) throws IOException;


}